RSAES< STANDARD > Struct Template Reference

RSA cryptosystem More...

`#include <rsa.h>`

Inheritance diagram for RSAES< STANDARD >:

## Public Types

typedef STANDARD | Standard
| see EncryptionStandard for a list of standards
typedef TF_CryptoSchemeOptions < ALG_INFO, RSA, MessageEncodingMethod > | SchemeOptions
typedef PK_FinalTemplate < TF_DecryptorImpl < SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate < TF_EncryptorImpl < SchemeOptions > > | Encryptor
| implements PK_Encryptor interface
typedef RSAFunction | PublicKey
typedef InvertibleRSAFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD>
struct RSAES< STANDARD >

RSA cryptosystem

Definition at line 130 of file rsa.h.

The documentation for this struct was generated from the following file:

- rsa.h